RAPCHECK(8)

NAME

rapcheck - Resource Administration Platform (RAP) resource directory consistency checking program

SYNOPSIS

rapcheck [ -adnvy ] [ raphost ]

DESCRIPTION
The rapcheck program maintains the consistency of the RAP resource directory between multiple servers, and checks for garbage, resource descriptors that are no longer valid.

-a  Automatic mode. This causes another server to be contacted, and all the resources in that server included in the local server's database. Before they are added, new resources are contacted directly to make sure that they really do exist. If this option is not specified, then each resource in the local database is contact to verify that it still exists.

-d  Debug. Turn on some debugging printouts.

-n  Not really. Check, but do not actually transfer any data.

-v  Verbose. Turns on more verbose printouts.

-y  Yes. No confirmation will be requested.

Resources are grouped together if they have the same location; generally all the resources managed by a particular instance of a service will have the same location given by the hostname, ONC program number, and ONC version number attributes. For ``soft'' errors like a host being temporarily down, all of the resources can be deleted at once, either in response to asking a user, or automatically after the time (in seconds) given in the default RAP expire time attribute of the RAP area resource. For ``hard'' errors, such as a service that has been re-installed so it no longer recognizes its old resources, the old resources are immediately deleted.

FILES

/var/rap/garbage.res
    Potential garbage stored by the rapcheck program.

SEE ALSO
resource(5), rap(8), rapd(8).